DISPDATA_REGISTER_WINDOW_RENUMBER_FUNC(3)

EXPERIMENTAL_FUNC
dispdata_register_window_renumber_func - Register renumber callback.

SYNOPSIS
#include <karma_dispdata.h>

KCallbackFunc dispdata_register_window_renumber_func

(KDisplayDataWindow window, void (*func) (), void *info)

DESCRIPTION
This routine will register a renumber function for a display data window. The function will be called when the window index changes (due to renumbering). Many renumber functions may be registered per window. The first function registered is the first function called upon renumbering.

window
    The KDisplayDataWindow.

func
    The function that is called when the window is renumbered. The prototype function is <-dispdata_PROTO_renumber_func->.

info
    The arbitrary function information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/